Eclipse Remote Application Platform

## org.eclipse.rap.rwt.widgets
Class DialogUtil

    java.lang.Object
      org.eclipse.rap.rwt.widgets.DialogUtil

    public final class DialogUtil

extends java.lang.Object

Utility class to work with non-blocking dialogs.

Since:
  2.0
See Also:
  `Dialog`

Method Summary
`static void` `open(Dialog dialog, DialogCallback dialogCallback)` Opens the given `dialog` in a non-blocking way and brings it to the front of the display.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### open

    public static void open(Dialog dialog,
                            DialogCallback dialogCallback)

  Opens the given `dialog` in a non-blocking way and brings it to the front of the display. If given, the `dialogCallback` is notified when the dialog is closed.

  Use this method instead of the `open()` method from the respective `Dialog` implementation when running a life cycle without a dedicated UI thread where `open()` does not block the program execution flow.

  Parameters:
    `dialog` - the dialog to open, must not be `null`.
    `dialogCallback` - the callback to be notified when the dialog was closed or `null` if no callback should be notified.
  See Also:
    `Dialog`, `DialogCallback`, `Application.OperationMode`

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2014. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0